Package org.apache.wiki.api.providers

## Interface WikiProvider

All Known Subinterfaces:
  `AttachmentProvider`, `PageProvider`

    public interface WikiProvider

A generic Wiki provider for all sorts of things that the Wiki can store.

Since:
  2.0

### Field Summary

Fields
`static int` `LATEST_VERSION` Passing this to any method should get the latest version

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getProviderInfo()` Return a valid HTML string for information.
`void` `initialize​(Engine engine, java.util.Properties properties)` Initializes the page provider.

### Field Detail

#### LATEST_VERSION

    static final int LATEST_VERSION

Passing this to any method should get the latest version

See Also:
  Constant Field Values

### Method Detail

#### initialize

    void initialize​(Engine engine,
                    java.util.Properties properties)
             throws NoRequiredPropertyException,
                    java.io.IOException

Initializes the page provider.

Parameters:
  `engine` - Engine to own this provider
  `properties` - A set of properties used to initialize this provider
Throws:
  `NoRequiredPropertyException` - If the provider needs a property which is not found in the property set
  `java.io.IOException` - If there is an IO problem

#### getProviderInfo

    java.lang.String getProviderInfo()

Return a valid HTML string for information. May be anything.

Returns:
  A string describing the provider.
Since:
  1.6.4